org.apache.uima.analysis_engine.impl

## Interface AnalysisEngineProcessorStub

-     public interface AnalysisEngineProcessorStub

  A stub that calls a remote AnalysisEngine service.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `batchProcessComplete()` Notify the stub that all items in the batch have been processed.
    `default void` | `collectionProcessComplete()` Notify the stub that all items in the collection have been processed.
    `default void` | `destroy()` Called when this stub is no longer needed, so resources can be cleaned up.
    `ResourceMetaData` | `getMetaData()` Performs service call to retrieve resource meta data.
    `void` | `process(CAS aCAS)` Performs service call to process an entity.

- - ### Method Detail

    - #### getMetaData

          ResourceMetaData getMetaData()

      Performs service call to retrieve resource meta data.
      Returns:
        metadata for the Resource

    - #### process

          void process(CAS aCAS)
                throws AnalysisEngineProcessException

      Performs service call to process an entity.
      Parameters:
        `aCAS` - the CAS to process
      Throws:
        `AnalysisEngineProcessException`

    - #### batchProcessComplete

          default void batchProcessComplete()
                                     throws AnalysisEngineProcessException

      Notify the stub that all items in the batch have been processed.
      Throws:
        `AnalysisEngineProcessException`

    - #### collectionProcessComplete

          default void collectionProcessComplete()
                                          throws AnalysisEngineProcessException

      Notify the stub that all items in the collection have been processed.
      Throws:
        `AnalysisEngineProcessException`

    - #### destroy

          default void destroy()

      Called when this stub is no longer needed, so resources can be cleaned up.

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.